package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.Partner;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.PartnerSearchModel;

import java.util.List;

public interface IPartnerService {
    List<Partner> queryList(PartnerSearchModel partnerSearchModel, BaseExample.Page pager);

    long queryCount(PartnerSearchModel partnerSearchModel);

    ResultState add(Partner inputModel);

    ResultState<Long> delete(long id);

    Object queryOne(long id);

    ResultState edit(Partner inputModel);

    Object detail(long id);
}
